package com.kingdee.eas.custom.esign;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.esign.app.*;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ESignGlobalStatusOverview extends CoreBillBase implements IESignGlobalStatusOverview
{
    public ESignGlobalStatusOverview()
    {
        super();
        registerInterface(IESignGlobalStatusOverview.class, this);
    }
    public ESignGlobalStatusOverview(Context ctx)
    {
        super(ctx);
        registerInterface(IESignGlobalStatusOverview.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("BD58B6FF");
    }
    private ESignGlobalStatusOverviewController getController() throws BOSException
    {
        return (ESignGlobalStatusOverviewController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ESignGlobalStatusOverviewCollection getESignGlobalStatusOverviewCollection() throws BOSException
    {
        try {
            return getController().getESignGlobalStatusOverviewCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ESignGlobalStatusOverviewCollection getESignGlobalStatusOverviewCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getESignGlobalStatusOverviewCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ESignGlobalStatusOverviewCollection getESignGlobalStatusOverviewCollection(String oql) throws BOSException
    {
        try {
            return getController().getESignGlobalStatusOverviewCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ESignGlobalStatusOverviewInfo getESignGlobalStatusOverviewInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getESignGlobalStatusOverviewInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ESignGlobalStatusOverviewInfo getESignGlobalStatusOverviewInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getESignGlobalStatusOverviewInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ESignGlobalStatusOverviewInfo getESignGlobalStatusOverviewInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getESignGlobalStatusOverviewInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}